Rated 5 out of 5 stars

Please, please upgrade this super extension to work in FF3.

I would be very sorry not to be able to continue using it.